Data Structures | Functions | Variables

# strgen.h File Reference

Structures related to strgen. More...

`#include "../language.h"`

Go to the source code of this file.

## Data Structures
struct | Case
| Container for the different cases of a string. More...
struct | LangString
| Information about a single string. More...
struct | StringData
| Information about the currently known strings. More...
struct | StringReader
| Helper for reading strings. More...
struct | HeaderWriter
| Base class for writing the header, i.e. More...
struct | LanguageWriter
| Base class for all language writers. More...
## Functions
void CDECL | strgen_warning (const char *s,...) WARN_FORMAT(1
void CDECL void CDECL | strgen_error (const char *s,...) WARN_FORMAT(1
void CDECL void CDECL void NORETURN CDECL | strgen_fatal (const char *s,...) WARN_FORMAT(1
void CDECL void CDECL void NORETURN CDECL char * | ParseWord (char **buf)
## Variables
const char * | _file
| The filename of the input, so we can refer to it in errors/warnings.
int | _cur_line
| The current line we're parsing in the input file.
int | _errors
int | _warnings
int | _show_todo
LanguagePackHeader | _lang
| Header information about a language.

## Detailed Description

Structures related to strgen.

Definition in file strgen.h.